Company logoTrust Center Documentation
API v1 ReferenceNda templatesIdFileVersionsVersionid

Upload NDA template version PDF

Upload the PDF for a draft, PDF-backed template version. The request accepts one `file` field. The file must be a PDF no larger than 10 MB.

PUT
/api/v1/nda-templates/{id}/file/versions/{versionId}

Upload the PDF for a draft, PDF-backed template version. The request accepts one file field. The file must be a PDF no larger than 10 MB.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

NDA template ID

Formatuuid
versionId*string

NDA template version ID

Formatuuid

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/nda-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/file/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -F file="string"
{  "success": true}

How is this guide?